Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Class XMLSequenceDefinition

`java.lang.Object
oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
oracle.toplink.tools.schemaframework.SequenceDefinition
oracle.toplink.xml.XMLSequenceDefinition`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class XMLSequenceDefinition
extends SequenceDefinition

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`name, qualifier`

Constructor Summary
`XMLSequenceDefinition(java.lang.String name, XMLSequence sequence)`
`XMLSequenceDefinition(XMLSequence sequence)`

Method Summary
`TableDefinition` | `buildTableDefinition()` Answer a TableDefinition specifying the platforms sequence table.
`boolean` | `checkIfExist(Session session)` INTERAL: Execute the SQL required to insert the sequence row into the sequence table.

Methods inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`clone, getName, getQualifier, setName, setQualifier, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLSequenceDefinition

    public XMLSequenceDefinition(XMLSequence sequence)

### XMLSequenceDefinition

    public XMLSequenceDefinition(java.lang.String name,
                                 XMLSequence sequence)

Method Detail

### checkIfExist

    public boolean checkIfExist(Session session)
                         throws DatabaseException

  INTERAL: Execute the SQL required to insert the sequence row into the sequence table. Assume that the sequence table exists.
  Specified by:
    `checkIfExist` in class `SequenceDefinition`
  Throws:
    `DatabaseException`

### buildTableDefinition

    public TableDefinition buildTableDefinition()

  Answer a TableDefinition specifying the platforms sequence table.
  Overrides:
    `buildTableDefinition` in class `SequenceDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD